import { SfCommand } from '@salesforce/sf-plugins-core';
import { Connection } from '@salesforce/core';
import { AnyJson } from '@salesforce/ts-types';
export default class HardisDocFieldusage extends SfCommand<any> {
    static flags: any;
    static description: string;
    static examples: string[];
    querySObjects(connection: Connection, sObjectsFilter?: string[]): Promise<any>;
    getFilteredSObjects(connection: Connection, sObjectsFilter?: string[]): Promise<Record<string, {
        publisherId: string;
        fields: any[];
    }>>;
    queryCustomFields(connection: Connection, sObjectName: string): Promise<any>;
    queryMetadataComponentDependency(connection: Connection, fieldIds: string[]): Promise<any>;
    run(): Promise<AnyJson>;
}
